verify address
1 min
POST
https://api.upstartcommerce.com/v1/tax/verify-address
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/xml
- x-upstart-tenantstringrequiredDescription
Body Parameters
- bodyobjectDescription
- userNamestringrequiredDescriptionMin Length1
- passwordstringrequiredDescriptionMin Length1
- environmentstringrequiredDescriptionMin Length1
- taxProviderstringrequiredDescriptionMin Length1
- addressobjectrequired
- street1stringrequiredDescriptionMin Length1
- citystringrequiredDescriptionMin Length1
- stateOrRegionstringrequiredDescriptionMin Length1
- countrystringrequiredDescriptionMin Length1
- postalCodestringrequiredDescriptionMin Length1
- postalCode5stringDescription
Responses
200
- object
- street1stringDescriptionMin Length1
- citystringDescriptionMin Length1
- stateOrRegionstringDescriptionMin Length1
- countrystringDescriptionMin Length1
- postalCodestringDescriptionMin Length1
- postalCode5stringDescription
204
400
- GeneralErrorDescription
- namestringrequiredDescriptionMin Length1
- codestringrequiredDescriptionMin Length1
- reasonstringDescriptionMin Length1
- detailstringrequiredDescriptionMin Length1
401
- GeneralErrorDescription
- namestringrequiredDescriptionMin Length1
- codestringrequiredDescriptionMin Length1
- reasonstringDescriptionMin Length1
- detailstringrequiredDescriptionMin Length1
404
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/tax/verify-address \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"userName": "",
"password": "",
"environment": "",
"taxProvider": "",
"address": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": ""
}
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"userName": "",
"password": "",
"environment": "",
"taxProvider": "",
"address": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": ""
}
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/tax/verify-address", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/tax/verify-address")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"userName": "",
"password": "",
"environment": "",
"taxProvider": "",
"address": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": ""
}
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/tax/verify-address"
payload = json.dumps({
"userName": "",
"password": "",
"environment": "",
"taxProvider": "",
"address": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": ""
}
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Success-the address has been corrected/validated successfully.
{
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"postalCode5": ""
}204
// No Content-the address is correct.
400
// Bad Request-the request contained data that could not be processed.
{
"name": "",
"code": "",
"reason": "",
"detail": ""
}401
// Unauthorized-the provided credentials were invalid for this endpoint.
{
"name": "",
"code": "",
"reason": "",
"detail": ""
}404
// Not Found-the requested resource was not found in the NoChannel system.